Apple Mac OS X SCSI Card Updater
Your rating: Now say why...

0

Updates your Apple Ultra Wide SCSI PCI card   Updater
Add to my Watch List
Email me when discounted
Apple Mac OS X SCSI Card Updater places new firmware on your Apple Ultra Wide SCSI PCI card. This new firmware is required if you wish to install Mac OS X or Mac OS X Server on a drive connected to this card.

Requires the Apple53C875Card. If you see "Card Revision 4, 120" then the firmware has already been updated.
Requirements
PPC, Apple SCSI Card (Apple53C875Card).








    Be the first to recommend a similar software title.
Apple Mac OS X SCS... User Discussion (Write a Review)
ver. .x:
Your rating: Now say why...
Overall:
(2)

sort: smiles | time
burypromote


Anonymous reviewed on 09 Feb 2002
I accidently flashedd my adaptec 39160 with this. I wasn't paying attention and now my scsi card is dead. Be careful when installing OS X with and Adaptec card
[Version ]


burypromote


Anonymous reviewed on 04 May 2001
After I installed the os x scsi updater my CD drive stopped reading CD's. I checked the Apple CD extension and noticed it had a new modified date. Dont know to get my CD drive back. "Need Help?"
[Version ]


There are currently no troubleshooting comments. If you are experiencing a problem with this app, please post a comment.

There are currently no ratings. Write a comment or review now.

Downloads:5,477
Version Downloads:2,531
Type:Drivers : Other
License:Updater
Date:16 Sep 2000
Platform:PPC 32 / OS X
Price:Free0.00
Overall (Version .x):
Features:
Ease of Use:
Value:
Stability:
Displaying 1-2 of 2
-
-
-
Please login or create a new
MacUpdate Member account
to use this feature
Watch Lists are available to
MacUpdate Desktop Members
Upgrade Now
Install with MacUpdate Desktop.
Save time moving files & cleaning
up space wasting archives.
Apple Mac OS X SCSI Card Updater places new firmware on your Apple Ultra Wide SCSI PCI card. This new firmware is required if you wish to install Mac OS X or Mac OS X Server on a drive connected to this card.

Requires the Apple53C875Card. If you see "Card Revision 4, 120" then the firmware has already been updated.


- -